Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 399619 - x11-plugins/gkrellstock-0.5.1 version bump
Summary: x11-plugins/gkrellstock-0.5.1 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Dockapp Team
URL: http://gkrellstock.sourceforge.net/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2012-01-21 15:42 UTC by Don Bishop
Modified: 2015-03-24 19:50 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Don Bishop 2012-01-21 15:42:41 UTC
Please bump to v0.5.1.

I believe all that is needed is to rename the ebuild so that gkrellstock grabs 0.5.1 which includes a small but important bugfix -- from like 10 years ago, probably a good time to catch up with the times :-)

There is a conflict with gkrellshoot that won't allow this plugin to work correctly -- it will just report "error reading stock exchange" (I use them both, and have for 7yrs+).  This fix has worked for me for all those years! But for all those years I have had to have this in my own overlay because renaming the ebuild in portage from gkrellstock-0.5 to gkrellstock-0.5.1 was deemed to be too much of a hassle (see bug 52743).  I just built another machine and remembered about this...

I have used gkrellm for years and it's a must-have for me.  I monitor about 10 machines from my desktop and the alternatives I know about are seriously inferior.  If there's something better that does all that gkrellm and its plug-ins do, please advise.  Just because software works and doesn't need to be fiddled with constantly doesn't mean it's outdated or unworthy.

Sorry for the complaining, but I am trying to get ahead of the same bug 52743 "wontfix" judgement from those that think gkrellm isn't worth their time.

In case it it does get wontfix'd again, and anyone stumbles across this, Create the path /usr/local/portage/x11-plugins/gkrellstock, then copy the gkrellstock-0.5.ebuild to /usr/local/portage/x11-plugins/gkrellstock/ and rename it to gkrellstock-0.5.1.ebuild.  Then cd to /usr/local/portage/x11-plugins/gkrellstock and run 'ebuild gkrellstock-0.5.1.ebuild digest'.  Add PORTDIR_OVERLAY=/usr/local/portage to your /etc/make.conf file. All will be well.
Comment 1 Michael Mair-Keimberger (iamnr3) 2013-03-11 18:30:37 UTC
Hi, i just fixed bug 340957 and also bump it to 0.5.1. You might be interested.
Comment 2 Justin Lecher gentoo-dev 2015-03-24 19:50:44 UTC
+*gkrellstock-0.5.1 (24 Mar 2015)
+
+  24 Mar 2015; Justin Lecher <jlec@gentoo.org> +gkrellstock-0.5.1.ebuild,
+  gkrellstock-0.5-r1.ebuild:
+  Version Bump, #399619
+